public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Dennis Lamm" <expeditioneer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-kernel/raspberrypi-sources/
Date: Thu,  5 Jan 2023 05:50:59 +0000 (UTC)	[thread overview]
Message-ID: <1672897855.2c209c49619916945a58260832d389149394991f.expeditioneer@gentoo> (raw)

commit:     2c209c49619916945a58260832d389149394991f
Author:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 22 11:39:42 2022 +0000
Commit:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
CommitDate: Thu Jan  5 05:50:55 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c209c49

sys-kernel/raspberrypi-sources: add 5.15.76_p20221104

Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>

 sys-kernel/raspberrypi-sources/Manifest            |  1 +
 .../raspberrypi-sources-5.15.76_p20221104.ebuild   | 75 ++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/sys-kernel/raspberrypi-sources/Manifest b/sys-kernel/raspberrypi-sources/Manifest
index 03f4bcb59fcd..fc1ca89a8641 100644
--- a/sys-kernel/raspberrypi-sources/Manifest
+++ b/sys-kernel/raspberrypi-sources/Manifest
@@ -5,3 +5,4 @@ DIST genpatches-5.15-22.extras.tar.xz 3876 BLAKE2B 95daac6c95b82d628c0551b4e18e7
 DIST linux-5.10.63_p20211029-raspberrypi.tar.gz 186550447 BLAKE2B 44e04467a63c5761c252280c5fbff48c3fa058891ff03623ed7fb872f0a22883ed2e3b8703847e30c1a6f5cf523db1248f027c89ce1558280f1012fa300308a7 SHA512 b050f74b5a62d355cd630d41f2f63df285662347048ed97db1bac2a74f1cefeddb31b7b352aa509e90d7f03832ad2ca8e1e476d8eac62b334132a3ab308559fc
 DIST linux-5.15.32_p20220331-raspberrypi.tar.gz 199328000 BLAKE2B 06bfd61bfa94666101e0092246bfc3449ad6278f2a85104511320b27c76e5677011c7ee723f4af7f445d21dccd02ff40e73d7bfcf2fdd2f287465e2f0ff586f5 SHA512 bf20a5ea32975de8b88842f639f3e4bd2e92c51846fc00ddfca9cc4040590983d9820cfa19836bf54061780f9e8c0a1293e8aa74a7da20e2e7edd84b3932f8d7
 DIST linux-5.15.61_p20220830-raspberrypi.tar.gz 199608883 BLAKE2B 53754553129f866ab27eb3e4f2d8720bddfba3a642fe505b9d5a0c819fdb8c714082de9c94d833719385b956b8463dbb0a0a4c6a63cfe322539652d44df7a96b SHA512 4c6711ef4999c7e5a5df96bebdcc67b3f1fca274f0b3b3081543df11711cf000cc507044a4d86e607b7c015aafbbd3b3e92d7ee459429b7254f6222e9a6aa7e8
+DIST linux-5.15.76_p20221104-raspberrypi.tar.gz 199660690 BLAKE2B 899714102e52904b7a37d155e42e94ed4b0e6c6600ac40fbd3cf66d15f84bb6d06afa7acf5c9624f44e9888d03d101823b419547d7ad8e566b4e55aaa077f11b SHA512 648262937e0afdb331678e0b2f913ad22788f1373f9ecd0d495e748a78399d6a69e93024268e1c0567acb4b1c9242b3ca6bd060e73b91a77529a93e4e29181c6

diff --git a/sys-kernel/raspberrypi-sources/raspberrypi-sources-5.15.76_p20221104.ebuild b/sys-kernel/raspberrypi-sources/raspberrypi-sources-5.15.76_p20221104.ebuild
new file mode 100644
index 000000000000..d77c92e734f6
--- /dev/null
+++ b/sys-kernel/raspberrypi-sources/raspberrypi-sources-5.15.76_p20221104.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ETYPE=sources
+K_DEFCONFIG="bcmrpi_defconfig"
+K_SECURITY_UNSUPPORTED=1
+EXTRAVERSION="-${PN}/-*"
+
+K_EXP_GENPATCHES_NOUSE=1
+K_GENPATCHES_VER=22
+K_DEBLOB_AVAILABLE=0
+K_WANT_GENPATCHES="base extras"
+
+inherit kernel-2 linux-info
+detect_version
+detect_arch
+
+MY_P=$(ver_cut 4-)
+MY_P="1.${MY_P/p/}"
+
+DESCRIPTION="Raspberry Pi kernel sources"
+HOMEPAGE="https://github.com/raspberrypi/linux"
+SRC_URI="
+	https://github.com/raspberrypi/linux/archive/${MY_P}.tar.gz -> linux-${KV_FULL}.tar.gz
+	${GENPATCHES_URI}
+"
+
+KEYWORDS="~arm ~arm64"
+
+PATCHES=("${FILESDIR}"/${PN}-5.15.32-gentoo-kconfig.patch)
+
+UNIPATCH_EXCLUDE="
+	10*
+	15*
+	2000
+	29*
+	3000
+	4567"
+
+pkg_setup() {
+	ewarn ""
+	ewarn "${PN} is *not* supported by the Gentoo Kernel Project in any way."
+	ewarn "If you need support, please contact the raspberrypi developers directly."
+	ewarn "Do *not* open bugs in Gentoo's bugzilla unless you have issues with"
+	ewarn "the ebuilds. Thank you."
+	ewarn ""
+
+	kernel-2_pkg_setup
+}
+
+universal_unpack() {
+	unpack linux-${KV_FULL}.tar.gz
+
+	# We want to rename the unpacked directory to a nice normalised string
+	# bug #762766
+	mv "${WORKDIR}"/linux-${MY_P} "${WORKDIR}"/linux-${KV_FULL} || die
+
+	# remove all backup files
+	find . -iname "*~" -exec rm {} \; 2>/dev/null
+}
+
+src_prepare() {
+	default
+	kernel-2_src_prepare
+}
+
+pkg_postinst() {
+	kernel-2_pkg_postinst
+}
+
+pkg_postrm() {
+	kernel-2_pkg_postrm
+}


             reply	other threads:[~2023-01-05  5:51 UTC|newest]

Thread overview: 57+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-01-05  5:50 Dennis Lamm [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-12  9:44 [gentoo-commits] repo/gentoo:master commit in: sys-kernel/raspberrypi-sources/ Michał Górny
2024-10-12  9:44 Michał Górny
2024-09-03 17:36 Viorel Munteanu
2024-09-03 17:22 Viorel Munteanu
2024-08-23 13:00 Arthur Zamarin
2024-08-13 16:08 Arthur Zamarin
2024-07-12 16:57 Viorel Munteanu
2024-07-12 16:57 Viorel Munteanu
2024-04-20  3:20 Sam James
2023-12-30  3:04 Sam James
2023-12-30  3:04 Sam James
2023-06-07 16:39 Sam James
2023-03-24 14:14 Arthur Zamarin
2023-03-10  6:02 Dennis Lamm
2023-03-04  6:04 Arthur Zamarin
2023-03-04  5:47 Arthur Zamarin
2023-02-02 19:54 Dennis Lamm
2023-02-02 19:54 Dennis Lamm
2023-01-05  5:50 Dennis Lamm
2023-01-05  5:50 Dennis Lamm
2022-10-28  6:33 Dennis Lamm
2022-04-26  4:47 Dennis Lamm
2022-04-26  4:47 Dennis Lamm
2022-04-09 19:46 Arthur Zamarin
2022-04-09 19:36 Arthur Zamarin
2022-04-06  6:57 Dennis Lamm
2022-04-06  6:57 Dennis Lamm
2022-03-22  1:54 Sam James
2021-12-05  1:29 Sam James
2021-12-05  1:28 Sam James
2021-12-05  1:28 Sam James
2021-09-03  1:53 Sam James
2021-03-22  5:22 Sam James
2021-02-05 18:51 Sam James
2021-02-05 18:51 Sam James
2021-02-05 18:51 Sam James
2021-02-05 18:51 Sam James
2020-12-07 18:05 Sam James
2020-07-28  0:10 Sam James
2019-12-04 23:23 Andrey Utkin
2019-12-04 23:23 Andrey Utkin
2019-12-04 23:23 Andrey Utkin
2019-12-04 23:23 Andrey Utkin
2019-12-04 23:23 Andrey Utkin
2019-01-11  8:29 Georgy Yakovlev
2018-01-04 17:43 Patrice Clement
2017-12-07 23:04 Steve Arnold
2017-12-07 20:38 Steve Arnold
2017-12-03 15:52 Patrice Clement
2017-10-01  5:44 Alexey Shvetsov
2017-07-12 22:36 Alexey Shvetsov
2017-03-07  7:28 Michael Weber
2017-03-07  7:04 Michael Weber
2016-02-11  8:11 Michael Weber
2016-02-11  7:21 Michael Weber
2015-11-28 13:01 Alfredo Tupone

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1672897855.2c209c49619916945a58260832d389149394991f.expeditioneer@gentoo \
    --to=expeditioneer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox